Системные сетевые службы несовместимы с этой версией Ubuntu 14.04

10

У меня установлен Ubuntu 14.04 LTS на моем ПК. Я создал несколько новых учетных записей, а после того, как я вошел в свою учетную запись, не было интернет-соединения. Когда я пытаюсь открыть сетевые настройки, я столкнулся с этой ошибкой

The system network services are not compatible with this version.

Я попытался запустить NetworkManager вручную с помощью этой команды

sudo service network-manager start

, но он не сработал.

Можете ли вы мне помочь?

    
задан Erkin Zahedi 29.01.2016 в 14:43
источник

4 ответа

12

Сбой сетевого менеджера на ubuntu 14.04

После обновления из предлагаемого репозитория следующие пакеты: libnl-3-200, libnl-genl-3-200 and libnl-route-3-200 .

Вам нужно будет понизить пакеты libnl-3:

sudo apt-get install libnl-3-200=3.2.21-1 libnl-genl-3-200=3.2.21-1 \ 
libnl-route-3-200=3.2.21-1

, если вы не можете установить эти пакеты или у вас возникли проблемы с понижением, вы можете вручную загрузить их здесь (из моей учетной записи):

Ссылка

Шаги:

  1. Загрузите 3 файла на другой компьютер.
  2. Скопируйте их в flashdrive.
  3. Установите flashdrive на зараженный компьютер.
  4. Скопируйте 3 файла в новую папку.
  5. Откройте терминал в этой папке и запустите

    sudo dpkg -i lib*.deb
    sudo reboot
    

    И вам может потребоваться применить трюм, пока не будет освобождено исправление для NetworkManager.

    sudo apt-mark hold libnl-3-200 libnl-genl-3-200 libnl-route-3-200
    

    И после исправления:

    sudo apt-mark auto libnl-3-200 libnl-genl-3-200 libnl-route-3-200
    

Дополнительная информация:

    
ответ дан Paul Iulian 30.01.2016 в 16:15
0

У меня такая же проблема. Кажется, что недавнее обновление является причиной. Большое количество сообщений в syslog для сетевого менеджера убивается сигналом segv (segmentation fault). Я считаю, что обновление для сетевого менеджера имеет ошибку нарушения сегментации.

Мне удалось решить мою проблему, используя совет, предоставленный Полом Юлианом. Ссылка в его сообщении не работает, поэтому я загрузил пакеты из Ссылка

Искать имена пакетов libnl-3-200, libnl-genl-3-200 и libnl-route-3-200

С уважением, Джордан.

    
ответ дан jordan 30.01.2016 в 23:10
0

Это сообщение об ошибке обычно связано с файлом bad /etc/network/interfaces . Попробуйте следующее

sudo cp /etc/network/interfaces /etc/network/interfaces.bak
sudo nano /etc/network/interfaces

Удалите все из файла и поместите

auto lo
iface lo inet loopback

Затем перезагрузите систему. Он должен работать.

    
ответ дан Tanmay 30.01.2016 в 16:33
-2

Вы можете попробовать это в своем терминале

sudo ifconfig eth0 up // Make your interface up
sudo dhclient  // assign Ipaddress by dhcp
sudo apt-get install network-manager // Now install latest network-manager
sudo service network-manager restart //restart network-manager

после того, как вы попробуете его, обновите сетевой менеджер.

    
ответ дан Adi Brad 30.01.2016 в 15:02